CREAL(3)

NAME
creal, crealf, creall - get real part of a complex number

SYNOPSIS
#include <complex.h>

double creal(double complex z);
float crealf(float complex z);
long double creall(long double complex z);

Link with -lm.

DESCRIPTION
These functions return the real part of the complex number z.

One has:
    z = creal(z) + I * cimag(z)

VERSIONS
These functions first appeared in glibc in version 2.1.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

CONFORMING TO
C99, POSIX.1-2001, POSIX.1-2008.

NOTES
The gcc supports also __real__. That is a GNU extension.

SEE ALSO
cabs(3), cimag(3), complex(7)

COLOPHON
This page is part of release 4.09 of the Linux man-pages project. A description of the project, information about reporting bugs, and the latest version of this page, can be found at https://www.kernel.org/doc/man-pages/.